Bug 64907 - (NET TULIP) Installer selects wrong module for DS21142 netword card
(NET TULIP) Installer selects wrong module for DS21142 netword card
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-14 05:57 EDT by Giovanni Corriga
Modified: 2013-07-02 22:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Giovanni Corriga 2002-05-14 05:57:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
I have installed RH 7.3 on a Digital Personal Workstation 350i. The network card
was correctly recognized as a Digital DS21142, but the installer selected
tulip.o as the module for the card ('alias eth0 tulip' in modules.conf). This
caused an error on every packet sent or received. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Simply install the OS on the workstation

	

Actual Results:  See description.

Expected Results:  See description.

Additional info:

RedHat HCL lists the DS21142 card as supported by the module de4x5.
Setting 'alias eth0 de4x5' in modules.conf solves the bug.
Comment 1 Michael Fulbright 2002-05-14 11:28:24 EDT
Bill is this something we need to change in the pcitable?
Comment 2 Bill Nottingham 2002-05-14 14:10:19 EDT
Eh, well, it's a matter of the tulip driver being broken. We *could* alias it to
de4x5.
Comment 3 Michael Fulbright 2002-05-14 16:09:01 EDT
So this is a hwdata issue?
Comment 4 Bill Nottingham 2002-05-15 10:16:19 EDT
It's actually more of a kernel issue... the driver claims to support those
cards, and was originally written for them. It just doesn't work.
Comment 5 Bugzilla owner 2004-09-30 11:39:34 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.